Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040326
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-03-06 09:292019-03-29 14:02
Reportersamuel_nicuesaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision9241e07c6d12
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date2019-03-27
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040326: Doing cash up Delete all button is not working properly.

DescriptionIf you bring all tickets and you click delete button the receipts are deleted in the original user but not in the current user.
Steps To Reproduce[POS] Vallblanca

-Do login user vallblanca

-Do a ticket and pay it

-Do another ticket, add one product

-Press lock screen

[POS] Demouser

-Do login with another user (demouser)

-Create one ticket and pay it

-Do cash up

-Click bring all button

-Click Delete all button

-Finish cash up

[POS] Vallblanca

-Do login user Vallblanca

-The ticket has been removed for this user (It is correct)

[POS] Demouser

-Do login user demouser

-The receipt has not been removed for this user (It is not correct)
TagsNo tags attached.
Attached Filespatch file icon issue 40326 source posterminal.patch [^] (1,876 bytes) 2019-03-07 14:39 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040477 newrqueralta Cancel Button removes tickets doing the cash up from the previous day. 

-  Notes
(0110364)
hgbot (developer)
2019-03-12 06:17

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 52953a86d9e19abc3277cfe4ac7ae50d4008eaf8
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Mar 12 10:47:00 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/52953a86d9e19abc3277cfe4ac7ae50d4008eaf8 [^]

Fixed issue 40326 : Receipts from other sessions should be deleted while doing cashup

* While doing cashup, Other Session receipts will not be added to OB.MobileApp.model.orderList.
  So receipt createdBy and session user is same, receipt should be removed from orderList and local db
  else receipt should be only removed from local db

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0110432)
jorge-garcia (developer)
2019-03-14 10:31

This change causes cross store test to fail. Test failing are:
CrossStorePaymentInvoice
CrossStorePaymentLayaway
CrossStorePaymentMultiple
CrossStorePaymentPartial
CrossStorePaymentReceipt
CrossStoreUIOpenReceipt
SingleStoreUIOpenReceipt
CrossStorePaymentInvoice
CrossStorePaymentLayaway
CrossStorePaymentMultiple
CrossStorePaymentPartial
CrossStorePaymentReceipt
CrossStoreUIOpenReceipt
SingleStoreUIOpenReceipt

Check it out following this link:
http://ci.openbravo.com/view/retail-qa/job/ret-qa-test-pgsql-suite8/2261/testReport/ [^]
(0110433)
hgbot (developer)
2019-03-14 10:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fa5f8ec7bf5e7c29d684e0fa1e7cd5372ebe671c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Mar 14 15:11:31 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa5f8ec7bf5e7c29d684e0fa1e7cd5372ebe671c [^]

Related to issue 40326 : Backed out changeset: 52953a86d9e1

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0110468)
hgbot (developer)
2019-03-18 06:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9241e07c6d1250c5c0b59b130072b43c033d964c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Mar 18 11:12:44 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9241e07c6d1250c5c0b59b130072b43c033d964c [^]

Fixed issue 40326 : Receipts from other sessions should be deleted while doing cashup

* While doing cashup, Other Session receipts will not be added to OB.MobileApp.model.orderList.
  So receipt session and pos session is same, receipt should be removed from orderList and local db
  else receipt should be only removed from local db

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0110666)
samuel_nicuesa (developer)
2019-03-26 16:43

If the line modified[1] is false then the receipt is not deleted. That happens on the else if. The delete for the receipt is done instead doing for the model.
Is that correct?


[1] if (orderList && receipt && receipt.get('session') === OB.MobileApp.model.get('session')) {

- Issue History
Date Modified Username Field Change
2019-03-06 09:29 samuel_nicuesa New Issue
2019-03-06 09:29 samuel_nicuesa Assigned To => Retail
2019-03-06 09:29 samuel_nicuesa Regression date => 2019-03-27
2019-03-06 09:29 samuel_nicuesa Triggers an Emergency Pack => No
2019-03-06 10:06 rafaroda Issue Monitored: rafaroda
2019-03-06 11:00 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-03-06 11:00 ranjith_qualiantech_com Status new => scheduled
2019-03-07 14:39 ranjith_qualiantech_com File Added: issue 40326 source posterminal.patch
2019-03-12 06:17 hgbot Checkin
2019-03-12 06:17 hgbot Note Added: 0110364
2019-03-12 06:17 hgbot Status scheduled => resolved
2019-03-12 06:17 hgbot Resolution open => fixed
2019-03-12 06:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/52953a86d9e19abc3277cfe4ac7ae50d4008eaf8 [^]
2019-03-14 10:31 jorge-garcia Note Added: 0110432
2019-03-14 10:31 jorge-garcia Status resolved => new
2019-03-14 10:31 jorge-garcia Resolution fixed => open
2019-03-14 10:42 hgbot Checkin
2019-03-14 10:42 hgbot Note Added: 0110433
2019-03-14 10:49 ranjith_qualiantech_com Status new => scheduled
2019-03-18 06:43 hgbot Checkin
2019-03-18 06:43 hgbot Note Added: 0110468
2019-03-18 06:43 hgbot Status scheduled => resolved
2019-03-18 06:43 hgbot Resolution open => fixed
2019-03-18 06:43 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/52953a86d9e19abc3277cfe4ac7ae50d4008eaf8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9241e07c6d1250c5c0b59b130072b43c033d964c [^]
2019-03-26 16:43 samuel_nicuesa Note Added: 0110666
2019-03-28 14:21 rafaroda Relationship added related to 0040477
2019-03-29 09:09 jorge-garcia Review Assigned To => jorge-garcia
2019-03-29 09:09 jorge-garcia Steps to Reproduce Updated View Revisions
2019-03-29 09:14 jorge-garcia Review Assigned To jorge-garcia => guilleaer
2019-03-29 14:02 guilleaer Status resolved => closed
2019-03-29 14:02 guilleaer Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker